Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: inflate64
Source: https://codeberg.org/miurahr/inflate64
Files-Excluded: src/inflate64.egg-info

Files: *
Copyright: Copyright (C) 2022 Hiroshi Miura
License: LGPL-2.1+

Files: src/ext/_inflate64module.c
Copyright: Copyright (c) 2020-present, Ma Lin
License: BSD-3-Clause

Files: src/lib/inflate_tree.h
       src/lib/inflate.c
       src/lib/inflate.h
       src/lib/inflate_tree.c
       src/lib/inflate64.h
Copyright: 1995-2022 Mark Adler
License: Zlib

Files: src/lib/util.h
       src/lib/deflate.c
Copyright: 1995-2022 Jean-loup Gailly, Mark Adler
License: Zlib

Files: debian/*
Copyright: Copyright (C) YOKOTA Hiroshi <yokota.hgml@gmail.com>
License: LGPL-2.1+

License: LGPL-2.1+
 On Debian systems you can find a copy of the GNU LESSER GENERAL PUBLIC
 LICENSE Version 2.1 at /usr/share/common-licenses/LGPL-2.1

License: Zlib
 This software is provided 'as-is', without any express or implied
 warranty.  In no event will the authors be held liable for any damages
 arising from the use of this software.
 .
 Permission is granted to anyone to use this software for any purpose,
 including commercial applications, and to alter it and redistribute it
 freely, subject to the following restrictions:
 .
 1. The origin of this software must not be misrepresented; you must not
    claim that you wrote the original software. If you use this software
    in a product, an acknowledgment in the product documentation would be
    appreciated but is not required.
 2. Altered source versions must be plainly marked as such, and must not be
    misrepresented as being the original software.
 3. This notice may not be removed or altered from any source distribution.
 .
 Jean-loup Gailly        Mark Adler
 jloup@gzip.org          madler@alumni.caltech.edu
 .
 If you use the zlib library in a product, we would appreciate *not* receiving
 lengthy legal documents to sign.  The sources are provided for free but without
 warranty of any kind.  The library has been entirely written by Jean-loup
 Gailly and Mark Adler; it does not include third-party code.
 .
 If you redistribute modified sources, we would appreciate that you include in
 the file ChangeLog history information documenting your changes.  Please read
 the FAQ for more information on the distribution of modified source versions.

License: BSD-3-Clause
 Borrows BlocksOutputBuffer, unused data buffer functions
 from pyzstd module - BSD-3 licensed by Ma Lin.
 https://github.com/animalize/pyzstd
 .
 BSD 3-Clause License
 .
 Copyright (c) 2020-present, Ma Lin and contributors.
 All rights reserved.
 .
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
 .
 1. Redistributions of source code must retain the above copyright notice, this
    list of conditions and the following disclaimer.
 .
 2. Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.
 .
 3. Neither the name of the copyright holder nor the names of its
    contributors may be used to endorse or promote products derived from
    this software without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
